Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 01/16/2024 in all areas

  1. Hi guys, Thanks for your contributions. This made me think in other ways and I ended up creating my own model. I am making it available below for anyone interested in using it. Many thanks, Rodrigo Brigido. RULER.lsp
    2 points
  2. That's the way I've always done it. Works for multiple layers and linetypes. If you're only using the source drawing as a reference, you don't need to erase the objects, just close the drawing.
    2 points
  3. Lee's steal.lsp is great for this and can be called with no user input using a lisp where you have a list of layers wanted. Or make a list on the fly. (Steal dwg lst)
    1 point
  4. If you use: (setq vol (* (vlax-get Obj 'volume) )) where obj is the vla-object name of your solid - not the entity name, you need a conversion which is: (setq obj (vlax-ename->vla-object e3)) (where e3 is as above) (defun c:test (/) (setq e1 (entsel)) (setq e2 (entsel)) (command "_extrude" e1 "" 1000 "" ) (setq e11 (entlast)) (command "_extrude" e2 "" 1000 "" ) (setq e22 (entlast)) (command "__subtract" e11 "" e22 "") (command "_erase" e1 e2 "") (setq e3 (entlast)) (setq obj (vlax-ename->vla-object e3)) (setq vol (* (vlax-get Obj 'volume) )) )
    1 point
  5. @Steven P I finally had a chance to try your re-write and it seems to work right the first time everytime so far. Thank you for helping me understand! And thanks to everyone who looked at this and helped! Next time I'm stumped I will come here first.
    1 point
  6. You could draw the profile in 2D and include a path (using the polyline command) and extrude the profile along said path. Yes, the profile would have to be rotated to a standing position before it could be extruded.
    1 point
  7. Without knowing what major and minor object properties exist an answer would be difficult. If plines and have an Elevation, if a 3dpoly then have a Z. Post a sample dwg. Also welcome aboard.
    1 point
  8. Ssget can be 1 or multiple or even ALL objects, which can be filtered also, by say type of object, layer, color to mention a couple. You can get each object in the selection set using ssname. (ssname ss x) where x is the item number. Once you have an item you can use VL to look at properties or Entget to get at properties. (if (= ss nil) (alert "no objects selected ") (repeat (setq x (sslength ss)) (setq ent (ssname ss (setq x (1- x)))) ; do something here ) ) ; if It would be best to describe what objects your looking at for more helpful code.
    1 point
  9. That's an older version. Here is the latest. BreakObjects18.zip
    1 point
  10. Breakall see the attachment below. breakall.lsp
    1 point
×
×
  • Create New...